User account creation filtered due to spam.

Bug 15583 - powerpc-rtems lacks __USE_INIT_FINI__
Summary: powerpc-rtems lacks __USE_INIT_FINI__
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.4.3
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-22 05:25 UTC by Ralf Corsepius
Modified: 2004-09-22 14:20 UTC (History)
2 users (show)

See Also:
Host:
Target: powerpc-rtems*
Build:
Known to work:
Known to fail:
Last reconfirmed: 2004-05-22 12:06:35


Attachments
gcc-3.5/CVS-trunk and gcc-3.4/gcc-3_4-branch version of the fix. (515 bytes, patch)
2004-05-22 05:38 UTC, Ralf Corsepius
Details | Diff
gcc-3_3-branch version of this patch (504 bytes, patch)
2004-05-22 06:37 UTC, Ralf Corsepius
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Corsepius 2004-05-22 05:25:20 UTC
powerpc-rtems relies on the compiler providing -D__USE_INIT_FINI__.

This define in missing in gcc-3.3.x, gcc-3.4.x and gcc-trunk/3.5
Comment 1 Ralf Corsepius 2004-05-22 05:38:37 UTC
Created attachment 6359 [details]
gcc-3.5/CVS-trunk and gcc-3.4/gcc-3_4-branch version of the fix.

This patch is supposed to be applied to CVS-trunk and to gcc-3_4-branch
Comment 2 Ralf Corsepius 2004-05-22 06:37:32 UTC
Created attachment 6360 [details]
gcc-3_3-branch version of this patch
Comment 3 Andrew Pinski 2004-05-22 12:06:33 UTC
Confirmed.  Most likely this will only make it on to the 3.4 branch and the mainline.
Comment 4 Andrew Pinski 2004-08-21 02:04:09 UTC
Can somone post this to gcc-patches@?
Comment 5 Andrew Pinski 2004-09-22 14:20:59 UTC
Fixed for 3.4.3.